<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<build>
  <configuration id="0">
    <parameter name="polynomial_taps" value="8,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="1">
    <parameter name="polynomial_taps" value="8,2,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="2">
    <parameter name="polynomial_taps" value="8,4,3,2"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="3">
    <parameter name="polynomial_taps" value="8,4,3,2"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="4">
    <parameter name="polynomial_taps" value="8,5,3,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="5">
    <parameter name="polynomial_taps" value="8,5,4"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="6">
    <parameter name="polynomial_taps" value="8,5,4,3"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="7">
    <parameter name="polynomial_taps" value="8,7,4,3,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="8">
    <parameter name="polynomial_taps" value="8,7,6,4,2"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="9">
    <parameter name="polynomial_taps" value="16,10,8,7,3"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="10">
    <parameter name="polynomial_taps" value="16,12,5"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="11">
    <parameter name="polynomial_taps" value="16,12,5"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="12">
    <parameter name="polynomial_taps" value="16,13,12,11,10,8,6,5,2"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="13">
    <parameter name="polynomial_taps" value="16,13,12,11,10,8,6,5,2"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="14">
    <parameter name="polynomial_taps" value="16,15,2"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="15">
    <parameter name="polynomial_taps" value="16,15,2"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="16">
    <parameter name="polynomial_taps" value="16,15,2"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="17">
    <parameter name="polynomial_taps" value="16,15,2"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="18">
    <parameter name="polynomial_taps" value="16,15,11,9,8,7,5,4,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="19">
    <parameter name="polynomial_taps" value="16,15,13,7,4,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="20">
    <parameter name="polynomial_taps" value="16,15,14,11,6,5,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="21">
    <parameter name="polynomial_taps" value="32,7,5,3,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="22">
    <parameter name="polynomial_taps" value="32,26,23,22,16,12,11,10,8,7,5,4,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="23">
    <parameter name="polynomial_taps" value="32,26,23,22,16,12,11,10,8,7,5,4,2,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="24">
    <parameter name="polynomial_taps" value="32,26,23,22,16,12,11,10,8,7,5,4,2,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="25">
    <parameter name="polynomial_taps" value="32,26,23,22,16,12,11,10,8,7,5,4,2,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="26">
    <parameter name="polynomial_taps" value="32,28,27,26,25,23,22,20,19,18,14,13,11,10,9,8,6"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="27">
    <parameter name="polynomial_taps" value="32,31,24,22,16,14,8,7,5,3,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="28">
    <parameter name="polynomial_taps" value="32,31,29,27,21,20,17,16,15,12,11,5,3,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="29">
    <parameter name="polynomial_taps" value="64,4,3,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
  <configuration id="30">
    <parameter name="polynomial_taps"
      value="64,62,57,55,54,53,52,47,46,45,40,39,38,37,35,33,32,31,29,27,24,23,22,21,19,17,13,12,10,9,7,4,1"/>
    <parameter name="input_reflect" value="false"/>
    <parameter name="output_reflect" value="false"/>
  </configuration>
  <configuration id="31">
    <parameter name="polynomial_taps"
      value="64,62,57,55,54,53,52,47,46,45,40,39,38,37,35,33,32,31,29,27,24,23,22,21,19,17,13,12,10,9,7,4,1"/>
    <parameter name="input_reflect" value="true"/>
    <parameter name="output_reflect" value="true"/>
  </configuration>
</build>
